ONVIF::PTZ::Types::BinaryData(3pm)

NAME
ONVIF::PTZ::Types::BinaryData

DESCRIPTION
Perl data type class for the XML Schema defined complexType BinaryData from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Data

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::BinaryData
   Data =>  $some_value, # base64Binary
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::PTZ::Types::BinaryData::_BinaryData::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   contentType

AUTHOR
Generated by SOAP::WSDL